> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Template Message

> Send a WhatsApp Template Message

### Authorizations

<ParamField header="x-api-key" type="string" required>
  API Key associated with the workspace
</ParamField>

### Path Parameters

<ParamField path="workspaceId" type="string" required>
  The ID of the Workspace
</ParamField>

<ParamField path="assistantId" type="string" required>
  The ID of the WhatsApp Assistant
</ParamField>

### Body Parameters

<ParamField body="toNumber" type="string" required>
  The Recipient's Phone Number with country code
</ParamField>

<ParamField body="templateName" type="string" required>
  The Name of the WhatsApp Template
</ParamField>

<ParamField body="language" type="string" required>
  The Language code of the WhatsApp Template
</ParamField>

<ParamField body="parameters" type="object">
  The `"Named Parameters"` if any, to be used in the specified WhatsApp Template
</ParamField>

<ResponseExample>
  ```json 200 theme={null}
  {
      "msg": "Outbound WhatsApp Message succesfully sent",
      "data": {
          "messaging_product": "whatsapp",
          "contacts": [
              {
                  "input": "<WHATSAPP_USER_PHONE_NUMBER>",
                  "wa_id": "<WHATSAPP_USER_ID>"
              }
          ],
          "messages": [
              {
                  "id": "<WHATSAPP_MESSAGE_ID>",
                  "message_status": "<PACING_STATUS>"
              }
          ],
          "phoneNumberId": "<PHONE_NUMBER_ID_USED>"
      }
  }
  ```

  ```json 500 theme={null}
  {
      "msg": "Internal Server Error"
  }
  ```
</ResponseExample>
